
Website Monitoring - Bug #2448

Thread limit prevents installation on Cloud

08/09/2019 05:42 PM - Luke Murphey

Status: Closed Start date: 09/20/2019

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.7.6   

Description

https://github.com/LukeMurphey/splunk-website-monitoring/issues/32

Subtasks:

Task # 2454: Make validator only allow 25 threads on Cloud Closed

Task # 2455: Make UI default to 25 threads on Cloud Closed

Task # 2458: Make input limit itself to 25 threads if on Cloud Closed

History

#1 - 09/20/2019 05:03 AM - Luke Murphey

I can import the ServerInfo class:

import os

import sys

path_to_mod_input_lib = os.path.join(os.path.dirname(os.path.abspath(__file__)), 'modular_input.zip')

sys.path.insert(0, path_to_mod_input_lib)

from modular_input.server_info import ServerInfo

 

I could also implement a validator that uses different values for on-cloud. The problem is that the validator doesn't get the session key; this would

need to be passed from the REST handler.

I might be able to selectively add the validator in convertParams().

#2 - 09/20/2019 05:17 AM - Luke Murphey

https://answers.splunk.com/answers/541952/how-do-i-programmatically-determine-if-my-app-is-r.html

#3 - 09/20/2019 07:41 PM - Luke Murphey

- Status changed from New to Closed
